Bug 69977 - freeze/crash when creating a diagram from many thousand cells
Summary: freeze/crash when creating a diagram from many thousand cells
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.0.5.2 release
Hardware: All All
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:5.2.0 target:6.1.0 target:6.2...
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-30 18:50 UTC by ibramlab
Modified: 2018-10-05 10:20 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Used csv database (200.16 KB, application/x-7z-compressed)
2013-09-30 18:50 UTC, ibramlab
Details
100k data to create a chart (1.26 MB, application/vnd.oasis.opendocument.spreadsheet)
2014-07-14 17:41 UTC, Thomas Arnhold
Details
strace log (1.61 MB, application/gzip)
2016-06-17 08:57 UTC, pietro.pangallo
Details
perf flame graph (1.95 MB, image/svg+xml)
2018-03-27 12:17 UTC, Noel Grandin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ibramlab 2013-09-30 18:50:11 UTC
Created attachment 86861 [details]
Used csv database

LibreOffice Calc freezes after I load csv file with 11248 items (1.8 mb) and then click diagram button. The diagram wizard is opened after ~3min and works very very slow. Same version of LO under Windows just unexpectedly quits after freezing without any errors and user should manually run it again.
Used csv is attached in archive.
Comment 1 tommy27 2013-10-06 21:34:56 UTC
loaded test .csv in Calc 4.1.2.3 and 4.0.5.2
pressed "select all" menu item
then clicked on "diagram" button

LibO 4.1.2.3 freezes for a few seconds then crashes.
LibO 4.0.5.2 stays frozen untile Ctrl-Alt-Canc kill process

haven't tried earlier releases.
Comment 2 Thomas Arnhold 2014-07-14 17:41:03 UTC
Created attachment 102787 [details]
100k data to create a chart

Another example, in ods format. When creating a chart libo takes hours to create the chart.
Comment 3 QA Administrators 2015-07-18 17:44:26 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2015-10-23 16:49:53 UTC
Confirmed with attachment 86861 [details]. Could not get a backtrace. Windbg just said the process exited.

Win 7 Pro 64-bit, Version: 5.0.2.2 (x64)
Build ID: 37b43f919e4de5eeaca9b9755ed688758a8251fe
Locale: fi-FI (fi_FI)

Version: 5.1.0.0.alpha1+
Build ID: fcc2415ade6ae93710bbbda9f7e163045e323105
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-10-21_16:55:13
Locale: fi-FI (fi_FI)
Comment 5 Commit Notification 2015-12-10 10:33:39 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2afead78b346f13030ad43589da9bc389c3c4c32

tdf#69977: constructing and destructing AccessibleElementInfo...

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2015-12-11 08:12:37 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=58d8d8ac67aa9b907f1304a48efa0f7a473d9de4

tdf#69977: uno::Sequence is expensive

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 pietro.pangallo 2016-06-17 08:57:06 UTC
Created attachment 125699 [details]
strace log

strace generated from:
Version: 5.3.0.0.alpha0+
Build ID: a8bd44573b75d1399257d6f5d052611439607189
CPU Threads: 2; OS Version: Linux 4.1; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-06-13_23:46:49
Locale: it-IT (it_IT.UTF-8)
OS: openSUSE Leap 42.1 (x86_64)

with master i can open the file while libreoffice hangs inserting a chart.

with version:
Version: 4.3.7.2
Build ID: 8a35821d8636a03b8bf4e15b48f59794652c68ba
OS: openSUSE Leap 42.1 (x86_64)

LO hangs before opening the file.
Comment 8 pietro.pangallo 2016-06-17 08:59:37 UTC
according to comment 7:
arch change to all all.
Comment 9 Xisco Faulí 2017-01-13 12:48:26 UTC
Hello,
Is this bug fixed?
If so, could you please close it as RESOLVED FIXED?
Comment 10 QA Administrators 2018-01-14 03:24:29 UTC Comment hidden (obsolete)
Comment 11 Commit Notification 2018-03-27 11:27:44 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3acc5a2383f5b0458e3caf1505fe6b8ad7dc3fb0

tdf#69977 improve creation of large charts

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Noel Grandin 2018-03-27 12:17:40 UTC
Created attachment 140908 [details]
perf flame graph
Comment 13 Noel Grandin 2018-03-27 12:19:14 UTC
The flame graph shows that the bulk of the time is in creating labels and tick marks which seem to use some rather heavyweight text machinery
Comment 14 Commit Notification 2018-10-04 19:31:50 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1371c2f4edab5086af6d0661de046252def29455

Do not let end row creep above start row, tdf#69977 tdf#119305 follow-up

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2018-10-05 10:20:22 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9bc004d6187da610e146527585c678b5cd9432ae&h=libreoffice-6-1

Do not let end row creep above start row, tdf#69977 tdf#119305 follow-up

It will be available in 6.1.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.